Method: projects.locations.instances.mpc.keyRings.list

Lists KeyRings in a given project and location.

HTTP request

GET https://mpc.googleapis.com/v1alpha1/{parent=projects/*/locations/*/instances/*}/mpc/keyRings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent instance resource name. Format: projects/{project}/locations/{location}/instances/{instance} It takes the form projects/{project}/locations/{location}/instances/{instance}.

Request body

The request body must be empty.

Response body

Response message for listing KeyRings.

If successful, the response body contains data with the following structure:

JSON representation
{
  "keyRings": [
    {
      object (KeyRing)
    }
  ]
}
Fields
keyRings[]

object (KeyRing)

The list of key rings.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.